{**************************************************************************}
{ THTMLStaticText Demo project                                             }
{ for Delphi 3.0,4.0,5.0                                                   }
{ version 1.2                                                              }
{                                                                          }
{ written by TMS Software                                                  }
{            copyright  2000 - 2001                                       }
{            Email : info@tmssoftware.com                                  }
{            Web : http://www.tmssoftware.com                              }
{**************************************************************************}


unit Uhtmlstatictext;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, htmltext, shellapi, PictureContainer {$IFNDEF VER100}, ImgList {$ENDIF};

type
  TForm1 = class(TForm)
    mainlabel: THTMLStaticText;
    sublabel: THTMLStaticText;
    ImageList2: TImageList;
    Label1: TLabel;
    Label2: TLabel;
    PictureContainer1: TPictureContainer;
    procedure mainlabelAnchorEnter(Sender: TObject; Anchor: String);
    procedure FormCreate(Sender: TObject);
    procedure Label2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
{$R EXTRA.RES}

procedure TForm1.mainlabelAnchorEnter(Sender: TObject;
  Anchor: String);
var
  i:  Integer;

begin
  sublabel.htmltext.clear;
  sublabel.EnableBlink := False;
  if anchor='hover' then sublabel.htmltext.Add('<BODY background="WALL">THTMLStaticText supports hovering by <U>underlining</U> or even changing <FONT bgcolor="clLime">background</FONT> and font <FONT color="clred"><B>color</B></FONT>');
  if anchor='blink' then sublabel.htmltext.Add('Text in THTMLStaticText can <FONT color="clred"><B><BLINK>blink</BLINK></B></FONT> to draw attention');
  if anchor='list'  then sublabel.htmltext.Add('Support for HTML lists makes building lists easy<BR><UL><LI>Item 1<LI>Item 2<UL><LI>Subitem 1<LI>Subitem 2</UL><LI>Item 3</UL>');
  if anchor='anchor' then sublabel.htmltext.Add('Anchors to <A href="http://www.tmssoftware.com">websites</A>,<A href="mailto:info@tmssoftware.com">email</A>,<A href="ftp://ftp.borland.com">ftp</A>,<A href="file://c:\">folders</A> or custom actions are provided');
  if anchor='image' then sublabel.htmltext.Add('Images and imagelist elements <IMG src="idx:1"> can be mixed <IMG src="idx:2"> with HTML formatted text.<BR>Images can be :<BR>BMP <IMG src="res://BMPIMG" align="top"> JPEG <IMG src="res://JPEGIMG" align="top"> GIF <IMG src="res://GIFIMG" align="top">');
  if anchor='paragraph' then sublabel.htmltext.Add('<BR>Paragraphs provide :<BR> <P align="left" bgcolor="clWhite"><B>left</B> alignment </P><P align="right" bgcolor="clYellow"><B>right</B> alignment</P><P align="center" bgcolor="clLime"> and <B>centered</B> alignment with background color</P>');
  if anchor='animation' then sublabel.htmltext.Add('<BR>Now supports pictures like animated GIFs <IMG src="FLOWER"> from the attached PictureContainer in the label and image hover effects <A href="This is a fly-over image"><IMG src="GREY" ALT="COLOR"></A>');
  if anchor='scroll' then
  begin
    for i := 1 to 6 do
      sublabel.htmltext.Add('<BR><IMG src="COLOR" align="middle"><A href="Option '+inttostr(i)+'"> Option '+inttostr(i)+'</A>');
  end;
  if (anchor = 'animation') or
     (anchor = 'blink') or
     (anchor = 'scroll') then
    sublabel.Enableblink := True;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  sublabel.HTMLText.Add('THTMLStaticText supports hovering by <U>underlining</U> or even changing <FONT bgcolor="clLime">background</FONT> and font <FONT color="clred"><B>color</B></FONT>');
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(self.Handle,'open',PChar(Label2.Caption),nil,nil,SW_NORMAL);
end;

end.
